Skip to main content
GET
Retrieve reported accounts with their representatives

Authorizations

Authorization
string
header
required

Obtain JWT via client_credentials grant. Required role: MMR_SASK_REPORT

Query Parameters

accountNumber
string
required

Account number

Response

200 - application/json

OK

accountType
enum<string>
required
Available options:
CURRENT_ACCOUNT,
DEPOSIT_ACCOUNT,
LOAN_ACCOUNT,
SAVINGS_ACCOUNT,
PAYMENT_CARD_ACCOUNT,
OTHER_ACCOUNT,
SECURITIES_ACCOUNT,
CUSTODY_ACCOUNT,
SMALL_ENTREPRENEUR_ACCOUNT,
INVESTMENT_ACCOUNT,
CRYPTO_ASSET_ACCOUNT
iban
string
required

Account number (IBAN)

Maximum string length: 35
Example:

"LT601010012345678901"

currency
string
required

Currency code (ISO 4217)

Minimum string length: 1
Example:

"EUR"

openedDate
string<date>
required

Date when the account was opened

Example:

"2024-12-20"

owner
object
required
refId
string
required

Unique reference ID of the account. Store it for future updates or deletions

Example:

"305697289_20250303_E5D11991C7B74CB0"

closedDate
string<date>

Date when the account was closed

Example:

"2025-06-30"

representatives
object[]

List of representatives for this account

Last modified on June 10, 2026